package com.lij.himeeter.common.annotation;

import com.lij.himeeter.common.constant.CacheConstants;
import com.lij.himeeter.common.enums.LimitType;

import java.lang.annotation.*;

/**
 * <pre>
 *
 * 文件名 :  RateLimiter
 * 创建时间 : 2024年12月25日 16:28
 *
 * 文件描述 : 限流注解
 *
 * </pre>
 *
 * @author Nobita
 * @version 1.0.0
 */

@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface RateLimiter {

    /**
     * 限流key
     */
    String key() default CacheConstants.RATE_LIMIT_KEY;

    /**
     * 限流时间,单位秒
     */
    int time() default 60;

    /**
     * 限流次数
     */
    int count() default 100;

    /**
     * 限流类型
     */
    LimitType limitType() default LimitType.DEFAULT;
}
